Bug 174756 - unable to establish connection to data source using oobase
Summary: unable to establish connection to data source using oobase
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-01 22:19 UTC by Craig Goodyear
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.1-143.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 09:06:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 19870 None None None Never

Description Craig Goodyear 2005-12-01 22:19:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
After creating a new database using openoffice native format, one is not able to access or create the tables in the database.

Version-Release number of selected component (if applicable):
openoffice.org 2.0.1-0.142.3.1

How reproducible:
Always

Steps to Reproduce:
1. Create a new database using openoffice native db format
2. Close the application
3. Open the previously created db
4. Select the Tables icon
  

Actual Results:  The following error message is displayed:

The connection to the data source "test_db_v2.01_3rd" could not be established.

SQL Status: S1000
Error code: -40

General error: java.lang.IllegalAccessError: org.hsqldb.HsqlNameManager$HsqlName: org.hsqldb.HsqlNameManager.serialNumber

Expected Results:  Display a list of the existing tables in the database.

Additional info:

Comment 1 Caolan McNamara 2005-12-02 08:45:17 UTC
It's this problem, http://gcc.gnu.org/bugzilla/show_bug.cgi?id=19870
I can work around it for FC-4, I thought our 4.0.2 had included the upstream
4.0.3 fix :-(


Note You need to log in before you can comment on or make changes to this bug.